Bug 847498 - [abrt] ibus-libpinyin-1.4.1-4.fc17: __GI___open_catalog: Process /usr/libexec/ibus-engine-libpinyin was killed by signal 6 (SIGABRT)
[abrt] ibus-libpinyin-1.4.1-4.fc17: __GI___open_catalog: Process /usr/libexec...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: ibus-libpinyin (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Peng Wu
Fedora Extras Quality Assurance
abrt_hash:c6e7fbd6c334d29b3cdad6e4b2f...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-12 05:21 EDT by Tommy He
Modified: 2012-10-17 23:19 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-17 23:19:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (36.65 KB, text/plain)
2012-08-12 05:21 EDT, Tommy He
no flags Details
File: smolt_data (2.99 KB, text/plain)
2012-08-12 05:21 EDT, Tommy He
no flags Details
File: maps (14.48 KB, text/plain)
2012-08-12 05:21 EDT, Tommy He
no flags Details

  None (edit)
Description Tommy He 2012-08-12 05:21:29 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 3
cmdline:        /usr/libexec/ibus-engine-libpinyin --ibus
comment:        Press Ctrl+SPACE to switch to Chinese input
crash_function: __GI___open_catalog
executable:     /usr/libexec/ibus-engine-libpinyin
kernel:         3.5.0-2.fc17.x86_64
pid:            1456
pwd:            /tmp
time:           2012年08月07日 星期二 11时25分09秒
uid:            1000
username:       Ruiuan

backtrace:      Text file, 37531 bytes
maps:           Text file, 14826 bytes
smolt_data:     Binary file, 3062 bytes

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/Ruiuan/2

core_backtrace:
:f69712fe393313f44607679e934bf5a67f39ec50 0x35925 raise libc.so.6 -
:f69712fe393313f44607679e934bf5a67f39ec50 0x370d8 abort libc.so.6 -
:f69712fe393313f44607679e934bf5a67f39ec50 0x2e6a2 __assert_fail_base libc.so.6 -
:f69712fe393313f44607679e934bf5a67f39ec50 0x2e752 __assert_fail libc.so.6 -
:ce6de1e51d5e309841919aa708cce77455b42380 0x21879 - libpinyin.so.2 -
:ce6de1e51d5e309841919aa708cce77455b42380 0x2278f - libpinyin.so.2 -
:ce6de1e51d5e309841919aa708cce77455b42380 0x1a9cb pinyin_load_phrase_library libpinyin.so.2 -
:ce6de1e51d5e309841919aa708cce77455b42380 0x1b2e8 pinyin_init libpinyin.so.2 -
:7f239fe0adb2a44bb2eae7cb97ce0c0d97556388 0x120d2 - [exe] -
:7f239fe0adb2a44bb2eae7cb97ce0c0d97556388 0x14689 - [exe] -
:7f239fe0adb2a44bb2eae7cb97ce0c0d97556388 0x181b3 - [exe] -
:7f239fe0adb2a44bb2eae7cb97ce0c0d97556388 0x88d2 - [exe] -
:41d17d4a5034f12665fbcbb2c80a4beca8bb0881 0x15d71 g_object_newv libgobject-2.0.so.0 -
:41d17d4a5034f12665fbcbb2c80a4beca8bb0881 0x16560 g_object_new_valist libgobject-2.0.so.0 -
:41d17d4a5034f12665fbcbb2c80a4beca8bb0881 0x16894 g_object_new libgobject-2.0.so.0 -
:d0ff5c635b9991ff9c996523d2a8eefbabe0bf5b 0x13d7a ibus_engine_new_with_type libibus-1.0.so.5 -
:d0ff5c635b9991ff9c996523d2a8eefbabe0bf5b 0x121e5 - libibus-1.0.so.5 -
:d0ff5c635b9991ff9c996523d2a8eefbabe0bf5b 0xee99 - libibus-1.0.so.5 -
:41d17d4a5034f12665fbcbb2c80a4beca8bb0881 0xf664 g_closure_invoke libgobject-2.0.so.0 -
:41d17d4a5034f12665fbcbb2c80a4beca8bb0881 0x20450 - libgobject-2.0.so.0 -
:41d17d4a5034f12665fbcbb2c80a4beca8bb0881 0x282a7 g_signal_emit_valist libgobject-2.0.so.0 -
:41d17d4a5034f12665fbcbb2c80a4beca8bb0881 0x287c2 g_signal_emit libgobject-2.0.so.0 -
:d0ff5c635b9991ff9c996523d2a8eefbabe0bf5b 0x1239a - libibus-1.0.so.5 -
:6d13b4e8294bd29204ee566fd8ea1b67467d8ed5 0xba535 - libgio-2.0.so.0 -
:8c083e0f61deb55917e5c7b193fe4d000a7375f1 0x47695 g_main_context_dispatch libglib-2.0.so.0 -
:8c083e0f61deb55917e5c7b193fe4d000a7375f1 0x479c8 - libglib-2.0.so.0 -
:8c083e0f61deb55917e5c7b193fe4d000a7375f1 0x47dc2 g_main_loop_run libglib-2.0.so.0 -
:d0ff5c635b9991ff9c996523d2a8eefbabe0bf5b 0xf9ec ibus_main libibus-1.0.so.5 -
:7f239fe0adb2a44bb2eae7cb97ce0c0d97556388 0x70ac - [exe] -

dso_list:
:/usr/lib64/libgobject-2.0.so.0.3200.4 glib2-2.32.4-1.fc17.x86_64 (Fedora Project) 1343830420
:/usr/lib64/libsqlite3.so.0.8.6 sqlite-3.7.11-3.fc17.x86_64 (Fedora Project) 1342431698
:/usr/lib64/libgio-2.0.so.0.3200.4 glib2-2.32.4-1.fc17.x86_64 (Fedora Project) 1343830420
:/usr/lib64/libffi.so.5.0.10 libffi-3.0.10-2.fc17.x86_64 (Fedora Project) 1337719198
:/usr/lib64/libgmodule-2.0.so.0.3200.4 glib2-2.32.4-1.fc17.x86_64 (Fedora Project) 1343830420
:/usr/lib64/libgvfscommon.so.0.0.0 gvfs-1.12.3-1.fc17.x86_64 (Fedora Project) 1337719247
:/usr/lib64/libz.so.1.2.5 zlib-1.2.5-6.fc17.x86_64 (Fedora Project) 1337719197
:/usr/lib64/libpinyin.so.2.0.0 libpinyin-0.6.92-2.fc17.x86_64 (Fedora Project) 1342769764
:/usr/lib64/libm-2.15.so glibc-2.15-51.fc17.x86_64 (Fedora Project) 1342769742
:/usr/lib64/gconv/gconv-modules.cache glibc-2.15-51.fc17.x86_64 (Fedora Project) 1342769742
:/usr/lib64/libnss_files-2.15.so glibc-2.15-51.fc17.x86_64 (Fedora Project) 1342769742
:/usr/libexec/ibus-engine-libpinyin ibus-libpinyin-1.4.1-4.fc17.x86_64 (Fedora Project) 1342769767
:/usr/lib64/libuuid.so.1.3.0 libuuid-2.21.2-2.fc17.x86_64 (Fedora Project) 1342431704
:/usr/lib64/libxml2.so.2.7.8 libxml2-2.7.8-7.fc17.x86_64 (Fedora Project) 1337719197
:/usr/lib64/libdl-2.15.so glibc-2.15-51.fc17.x86_64 (Fedora Project) 1342769742
:/usr/lib64/gio/modules/libgvfsdbus.so gvfs-1.12.3-1.fc17.x86_64 (Fedora Project) 1337719247
:/usr/share/locale/zh_CN/LC_MESSAGES/ibus-libpinyin.mo ibus-libpinyin-1.4.1-4.fc17.x86_64 (Fedora Project) 1342769767
:/usr/lib64/libpthread-2.15.so glibc-2.15-51.fc17.x86_64 (Fedora Project) 1342769742
:/usr/lib64/libglib-2.0.so.0.3200.4 glib2-2.32.4-1.fc17.x86_64 (Fedora Project) 1343830420
:/usr/lib64/libutil-2.15.so glibc-2.15-51.fc17.x86_64 (Fedora Project) 1342769742
:/usr/lib64/libc-2.15.so glibc-2.15-51.fc17.x86_64 (Fedora Project) 1342769742
:/usr/lib64/libopencc.so.1.0.0 opencc-0.3.0-1.fc17.x86_64 (Fedora Project) 1337719233
:/usr/lib64/libselinux.so.1 libselinux-2.1.10-3.fc17.x86_64 (Fedora Project) 1337719197
:/usr/lib64/libbluray.so.1.1.0 libbluray-0.2.2-1.fc17.x86_64 (Fedora Project) 1337719200
:/usr/lib64/liblua-5.1.so lua-5.1.4-10.fc17.x86_64 (Fedora Project) 1337719200
:/usr/lib64/libdbus-1.so.3.5.6 dbus-libs-1:1.4.10-4.fc17.x86_64 (Fedora Project) 1337719197
:/usr/lib64/libstdc++.so.6.0.17 libstdc++-4.7.0-5.fc17.x86_64 (Fedora Project) 1337719197
:/usr/lib/locale/locale-archive glibc-common-2.15-51.fc17.x86_64 (Fedora Project) 1342769755
:/usr/lib64/libgthread-2.0.so.0.3200.4 glib2-2.32.4-1.fc17.x86_64 (Fedora Project) 1343830420
:/usr/lib64/libgcc_s-4.7.0-20120507.so.1 libgcc-4.7.0-5.fc17.x86_64 (Fedora Project) 1337719189
:/usr/lib64/libibus-1.0.so.5.0.499 ibus-libs-1.4.99.20120712-1.fc17.x86_64 (Fedora Project) 1343830422
:/usr/share/locale/zh_CN/LC_MESSAGES/libc.mo glibc-common-2.15-51.fc17.x86_64 (Fedora Project) 1342769755
:/usr/lib64/librt-2.15.so glibc-2.15-51.fc17.x86_64 (Fedora Project) 1342769742
:/usr/lib64/libresolv-2.15.so glibc-2.15-51.fc17.x86_64 (Fedora Project) 1342769742
:/usr/lib64/ld-2.15.so glibc-2.15-51.fc17.x86_64 (Fedora Project) 1342769742
:/usr/share/locale/zh_CN/LC_MESSAGES/glib20.mo glib2-2.32.4-1.fc17.x86_64 (Fedora Project) 1343830420
:/usr/lib64/libdb-4.8.so db4-4.8.30-10.fc17.x86_64 (Fedora Project) 1337719201

environ:
:SHELL=/bin/bash
:DBUS_STARTER_ADDRESS=unix:abstract=/tmp/dbus-Js4BvMb4uc,guid=78c2d9f873743bcf55eb57a700000033
:XDG_RUNTIME_DIR=/run/user/Ruiuan
:DISPLAY=:0
:DESKTOP_SESSION=gnome
:WINDOWPATH=1
:PATH=/usr/local/bin:/usr/bin:/bin
:XDG_VTNR=1
:USERNAME=Ruiuan
:GDMSESSION=gnome
:XDG_SESSION_ID=2
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-Js4BvMb4uc,guid=78c2d9f873743bcf55eb57a700000033
:XDG_SEAT=seat0
:XAUTHORITY=/var/run/gdm/auth-for-Ruiuan-O0sHTx/database
:USER=Ruiuan
:DBUS_STARTER_BUS_TYPE=session
:GNOME_KEYRING_PID=804
:SHLVL=1
:PWD=/home/Ruiuan
:GNOME_KEYRING_CONTROL=/run/user/Ruiuan/keyring-6V7APD
:LANG=zh_CN.UTF-8
:_=/usr/bin/dbus-launch
:LOGNAME=Ruiuan
:HOME=/home/Ruiuan
:LC_CTYPE=zh_CN.UTF-8
:GTK_IM_MODULE=ibus
:QT_IM_MODULE=xim
:XMODIFIERS=@im=ibus

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 31461                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       31461                31461                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:pos:	0
:flags:	0100000
:1:/dev/null
:pos:	0
:flags:	0100001
:2:/dev/null
:pos:	0
:flags:	0100001
:3:socket:[20948]
:pos:	0
:flags:	02004002
:4:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:5:anon_inode:inotify
:pos:	0
:flags:	02004000
:6:socket:[20951]
:pos:	0
:flags:	02004002
:7:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:8:anon_inode:[eventfd]
:pos:	0
:flags:	02004002

var_log_messages:
:Aug  7 11:25:10 bogon abrt[1458]: Saved core dump of pid 1456 (/usr/libexec/ibus-engine-libpinyin) to /var/spool/abrt/ccpp-2012-08-07-11:25:09-1456 (16379904 bytes)
:Aug  7 11:25:11 bogon abrt[1481]: Not dumping repeating crash in '/usr/libexec/ibus-engine-libpinyin'
Comment 1 Tommy He 2012-08-12 05:21:34 EDT
Created attachment 603762 [details]
File: backtrace
Comment 2 Tommy He 2012-08-12 05:21:38 EDT
Created attachment 603763 [details]
File: smolt_data
Comment 3 Tommy He 2012-08-12 05:21:41 EDT
Created attachment 603764 [details]
File: maps
Comment 4 Peng Wu 2012-08-12 23:43:29 EDT
Guess you could work around this by removing ~/.cache/ibus/libpinyin/ and ~/.cache/ibus/libbopomofo/.

Could you upload the corrupted personal data for further analyzing?
Comment 5 Peng Wu 2012-10-17 23:19:24 EDT
As many code re-factors are landed in libpinyin 0.7.92, I just close this bug for now. Feel free to file new bugs, if you still en-counter it in libpinyin 0.7.92 or later version.

Note You need to log in before you can comment on or make changes to this bug.